<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: field/hexternal.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_00a13ab5e3afe633796d5c180ae90994.html">field</a>
  </div>
</div>
<div class="contents">
<h1>hexternal.c File Reference</h1><code>#include &quot;<a class="el" href="field_8h_source.html">field.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="util_8h_source.html">util/util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for hexternal.c:</div>
<div class="dynsection">
<div class="center"><img src="hexternal_8c__incl.png" border="0" usemap="#field_2hexternal_8c_map" alt=""/></div>
<map name="field_2hexternal_8c_map" id="field_2hexternal_8c">
<area shape="rect" id="node3" href="field_8h.html" title="field.h" alt="" coords="131,86,187,117"/><area shape="rect" id="node15" href="util_8h.html" title="util/util.h" alt="" coords="211,86,280,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="hexternal_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="hexternal_8c.html#a3459c1707cc058f462cb730e78809f17">Hexternal_Init</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="hexternal_8c.html#aeaf153862ea87b88e30bee559bf1d481">Hexternal</a> (<a class="el" href="structGridData.html">GridData</a> *gdata, Vec VHtotsum)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="hexternal_8c.html#abab705ab0b3df8ea71709f470033aee2">Hexternal_Energy</a> (<a class="el" href="structGridData.html">GridData</a> *gdata, Vec VMom, PetscReal *energy)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PetscReal&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="hexternal_8c.html#a48d0086e7ff33076be493f9379c45069">Hexternal_hext</a> ()</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="aeaf153862ea87b88e30bee559bf1d481"></a><!-- doxytag: member="hexternal.c::Hexternal" ref="aeaf153862ea87b88e30bee559bf1d481" args="(GridData *gdata, Vec VHtotsum)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Hexternal </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Vec&nbsp;</td>
          <td class="paramname"> <em>VHtotsum</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="hexternal_8c_source.html#l00055">55</a> of file <a class="el" href="hexternal_8c_source.html">hexternal.c</a>.</p>

<p>References <a class="el" href="hext__cu_8c_source.html#l00096">Hext_cu()</a>, <a class="el" href="hext__ho_8c_source.html#l00387">Hext_ho()</a>, <a class="el" href="hext__kq_8c_source.html#l00171">Hext_kq()</a>, <a class="el" href="hext__py_8c_source.html#l00163">Hext_py()</a>, <a class="el" href="hexternal_8c_source.html#l00042">Hexternal_Init()</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00084">MagparFunctionProfReturn</a>, and <a class="el" href="griddata_8h_source.html#l00257">GridData::VHext</a>.</p>

<p>Referenced by <a class="el" href="htot_8c_source.html#l00055">Htot()</a>, and <a class="el" href="htot_8c_source.html#l00096">Htot_Gradient()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hexternal_8c_aeaf153862ea87b88e30bee559bf1d481_cgraph.png" border="0" usemap="#hexternal_8c_aeaf153862ea87b88e30bee559bf1d481_cgraph_map" alt=""></div>
<map name="hexternal_8c_aeaf153862ea87b88e30bee559bf1d481_cgraph_map" id="hexternal_8c_aeaf153862ea87b88e30bee559bf1d481_cgraph">
<area shape="rect" id="node3" href="field_8h.html#a2866a2d9dd35b17789e06b1b79ab72cc" title="Hext_cu" alt="" coords="148,58,217,89"/><area shape="rect" id="node7" href="field_8h.html#aeb00096e7649b4910f8fa67dc6f27401" title="Hext_ho" alt="" coords="148,165,217,195"/><area shape="rect" id="node25" href="field_8h.html#a30cb382d2ba1eb8b00264cf43ce43e05" title="Hext_kq" alt="" coords="148,271,217,302"/><area shape="rect" id="node29" href="field_8h.html#a66aec7a3ca42c0059d2b330ca937a555" title="Hext_py" alt="" coords="148,325,217,355"/><area shape="rect" id="node37" href="hexternal_8c.html#a3459c1707cc058f462cb730e78809f17" title="Hexternal_Init" alt="" coords="132,378,233,409"/><area shape="rect" id="node5" href="hext__cu_8c.html#ad490e336bf2582884e7e3191bd37891a" title="Hext_cu_Init" alt="" coords="297,5,391,35"/><area shape="rect" id="node9" href="ipol_8c.html#a3e2699b016b84132ec08d3795b951dd9" title="getscalf" alt="" coords="311,58,377,89"/><area shape="rect" id="node11" href="field_8h.html#a2e1ef17932652e8d616587011fb09c63" title="Hext_ho_hsweep" alt="" coords="284,111,404,142"/><area shape="rect" id="node13" href="hext__ho_8c.html#aa7f4b51477b5dcd5afd1f4b73ffde571" title="Hext_ho_Init" alt="" coords="297,165,391,195"/><area shape="rect" id="node23" href="util_8h.html#aa88f92d349ee3335807573e6ff373963" title="VecSetVec" alt="" coords="301,218,387,249"/><area shape="rect" id="node15" href="hext__ho_8c.html#aed1404d744513b58ba58166a487dcbdf" title="Hext_ho_hstep_Init" alt="" coords="455,138,588,169"/><area shape="rect" id="node19" href="hext__ho_8c.html#ad61d58b7779a7d182a09c9becae36af1" title="Hext_ho_ht_Init" alt="" coords="465,191,577,222"/><area shape="rect" id="node17" href="field_8h.html#a567e7efd2748f5b33963b581ed12626c" title="read_hstep_file" alt="" coords="639,138,748,169"/><area shape="rect" id="node21" href="ipol_8c.html#a7c6add33a29c7ae759615a08798ee75d" title="readht" alt="" coords="664,191,723,222"/><area shape="rect" id="node27" href="hext__kq_8c.html#aac24a1f9bfe67ce4a008a31375cb1d01" title="Hext_kq_Init" alt="" coords="297,271,391,302"/><area shape="rect" id="node31" href="hext__py_8c.html#a9570f5d09accfa97e676f862b1acb592" title="hext_f" alt="" coords="315,325,373,355"/><area shape="rect" id="node33" href="hext__py_8c.html#a53aac86dc06657ac5dc89f8f21bd4a70" title="Hext_py_Init" alt="" coords="297,378,391,409"/><area shape="rect" id="node35" href="progressbar_8c.html#afac4bb91f0e22a14a209a0f60113654d" title="ProgressBar" alt="" coords="475,378,568,409"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hexternal_8c_aeaf153862ea87b88e30bee559bf1d481_icgraph.png" border="0" usemap="#hexternal_8c_aeaf153862ea87b88e30bee559bf1d481_icgraph_map" alt=""></div>
<map name="hexternal_8c_aeaf153862ea87b88e30bee559bf1d481_icgraph_map" id="hexternal_8c_aeaf153862ea87b88e30bee559bf1d481_icgraph">
<area shape="rect" id="node3" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="132,210,177,241"/><area shape="rect" id="node38" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="228,301,329,331"/><area shape="rect" id="node5" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="237,118,320,149"/><area shape="rect" id="node9" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1096,197,1155,227"/><area shape="rect" id="node34" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="940,90,1025,121"/><area shape="rect" id="node44" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="244,197,313,227"/><area shape="rect" id="node7" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="919,143,1047,174"/><area shape="rect" id="node16" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="408,146,485,177"/><area shape="rect" id="node21" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="400,93,493,123"/><area shape="rect" id="node13" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1099,143,1152,174"/><area shape="rect" id="node11" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1203,170,1253,201"/><area shape="rect" id="node18" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="564,301,689,331"/><area shape="rect" id="node23" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="588,197,665,227"/><area shape="rect" id="node28" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="580,93,673,123"/><area shape="rect" id="node25" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="739,197,869,227"/><area shape="rect" id="node30" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="777,93,831,123"/><area shape="rect" id="node40" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="379,301,515,331"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="abab705ab0b3df8ea71709f470033aee2"></a><!-- doxytag: member="hexternal.c::Hexternal_Energy" ref="abab705ab0b3df8ea71709f470033aee2" args="(GridData *gdata, Vec VMom, PetscReal *energy)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Hexternal_Energy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Vec&nbsp;</td>
          <td class="paramname"> <em>VMom</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>energy</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="hexternal_8c_source.html#l00098">98</a> of file <a class="el" href="hexternal_8c_source.html">hexternal.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, and <a class="el" href="griddata_8h_source.html#l00084">MagparFunctionProfReturn</a>.</p>

<p>Referenced by <a class="el" href="htot_8c_source.html#l00176">CalcEnergy()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hexternal_8c_abab705ab0b3df8ea71709f470033aee2_icgraph.png" border="0" usemap="#hexternal_8c_abab705ab0b3df8ea71709f470033aee2_icgraph_map" alt=""></div>
<map name="hexternal_8c_abab705ab0b3df8ea71709f470033aee2_icgraph_map" id="hexternal_8c_abab705ab0b3df8ea71709f470033aee2_icgraph">
<area shape="rect" id="node3" href="htot_8c.html#a8ad42d15c17241a1313243ebd0d0ab11" title="CalcEnergy" alt="" coords="179,203,267,234"/><area shape="rect" id="node5" href="htot_8c.html#a23837f4926a3a0dc211d349e16a9df87" title="Htot_EminiEnergy" alt="" coords="315,177,440,207"/><area shape="rect" id="node7" href="htot_8c.html#a09d3a5bbcb3e65c1e4c7e22818377b13" title="Htot_Energy" alt="" coords="331,230,424,261"/><area shape="rect" id="node9" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="837,354,923,385"/><area shape="rect" id="node11" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1173,197,1232,227"/><area shape="rect" id="node15" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1035,302,1088,333"/><area shape="rect" id="node20" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="627,81,763,111"/><area shape="rect" id="node25" href="writelog__pid_8c.html#aa63307197e81d27990850ea179eb5187" title="WriteLogPid" alt="" coords="488,230,579,261"/><area shape="rect" id="node13" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1280,223,1331,254"/><area shape="rect" id="node22" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="999,93,1124,123"/><area shape="rect" id="node27" href="writelog_8c.html#ad970cf1663bac1ede525a5caf43750fd" title="WriteLog" alt="" coords="659,230,731,261"/><area shape="rect" id="node29" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="811,250,949,281"/><area shape="rect" id="node33" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="816,197,944,227"/><area shape="rect" id="node37" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="841,93,919,123"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a48d0086e7ff33076be493f9379c45069"></a><!-- doxytag: member="hexternal.c::Hexternal_hext" ref="a48d0086e7ff33076be493f9379c45069" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PetscReal Hexternal_hext </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="hexternal_8c_source.html#l00113">113</a> of file <a class="el" href="hexternal_8c_source.html">hexternal.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, and <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>.</p>

<p>Referenced by <a class="el" href="checkiterationllg_8c_source.html#l00318">CheckIterationLLG()</a>, and <a class="el" href="writelog_8c_source.html#l00206">WriteLogData()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hexternal_8c_a48d0086e7ff33076be493f9379c45069_icgraph.png" border="0" usemap="#hexternal_8c_a48d0086e7ff33076be493f9379c45069_icgraph_map" alt=""></div>
<map name="hexternal_8c_a48d0086e7ff33076be493f9379c45069_icgraph_map" id="hexternal_8c_a48d0086e7ff33076be493f9379c45069_icgraph">
<area shape="rect" id="node3" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="435,5,563,35"/><area shape="rect" id="node12" href="writelog_8c.html#a54c21359e5dbade333f4c1ac856a3ffb" title="WriteLogData" alt="" coords="163,83,261,114"/><area shape="rect" id="node5" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="792,150,851,181"/><area shape="rect" id="node9" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="653,59,707,90"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="899,111,949,142"/><area shape="rect" id="node14" href="writelog_8c.html#ad970cf1663bac1ede525a5caf43750fd" title="WriteLog" alt="" coords="309,109,381,139"/><area shape="rect" id="node16" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="429,162,568,193"/><area shape="rect" id="node21" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="460,266,537,297"/><area shape="rect" id="node26" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="456,109,541,139"/><area shape="rect" id="node23" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="617,266,743,297"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a3459c1707cc058f462cb730e78809f17"></a><!-- doxytag: member="hexternal.c::Hexternal_Init" ref="a3459c1707cc058f462cb730e78809f17" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Hexternal_Init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="hexternal_8c_source.html#l00042">42</a> of file <a class="el" href="hexternal_8c_source.html">hexternal.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, and <a class="el" href="griddata_8h_source.html#l00257">GridData::VHext</a>.</p>

<p>Referenced by <a class="el" href="hexternal_8c_source.html#l00055">Hexternal()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hexternal_8c_a3459c1707cc058f462cb730e78809f17_icgraph.png" border="0" usemap="#hexternal_8c_a3459c1707cc058f462cb730e78809f17_icgraph_map" alt=""></div>
<map name="hexternal_8c_a3459c1707cc058f462cb730e78809f17_icgraph_map" id="hexternal_8c_a3459c1707cc058f462cb730e78809f17_icgraph">
<area shape="rect" id="node3" href="hexternal_8c.html#aeaf153862ea87b88e30bee559bf1d481" title="Hexternal" alt="" coords="157,249,235,279"/><area shape="rect" id="node5" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="284,210,329,241"/><area shape="rect" id="node40" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="380,301,481,331"/><area shape="rect" id="node7" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="389,118,472,149"/><area shape="rect" id="node11" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1248,197,1307,227"/><area shape="rect" id="node36" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="1092,90,1177,121"/><area shape="rect" id="node46" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="396,197,465,227"/><area shape="rect" id="node9" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="1071,143,1199,174"/><area shape="rect" id="node18" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="560,146,637,177"/><area shape="rect" id="node23" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="552,93,645,123"/><area shape="rect" id="node15" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1251,143,1304,174"/><area shape="rect" id="node13" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1355,170,1405,201"/><area shape="rect" id="node20" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="716,301,841,331"/><area shape="rect" id="node25" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="740,197,817,227"/><area shape="rect" id="node30" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="732,93,825,123"/><area shape="rect" id="node27" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="891,197,1021,227"/><area shape="rect" id="node32" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="929,93,983,123"/><area shape="rect" id="node42" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="531,301,667,331"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

